# $Revision: 1.19 $, $Date: 2005/10/14 20:43:42 $
#
# TODO: process {bin,doc,indep-utils/model-gen} directories
#
Summary:	NS-2 network simulator
Summary(pl):	Symulator sieci NS-2
Name:		ns
Version:	2.27
Release:	7
License:	various
Group:		Applications/Networking
Source0:	http://www.isi.edu/nsnam/dist/%{name}-src-%{version}.tar.gz
# Source0-md5:	db3a16e450f66a5e4dd881349ccc5dd7
Source1:       http://www.isi.edu/nsnam/ns/doc/%{name}_doc.pdf
# Source1-md5:	66e82f100292ebe0bda8bcb98fa26bba
URL:		http://www.isi.edu/nsnam/
Patch0:		%{name}-install.patch
Patch1:		tcl-lib.patch
Patch2:		%{name}-%{version}-rsvp3.patch
Patch3:		%{name}-awk.patch
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	otcl-devel
BuildRequires:	perl-base
BuildRequires:	tclcl-static
BuildRequires:	tcl-devel >= 8.4
BuildRequires:	tk-devel >= 8.4
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Ns is a discrete event simulator targeted at networking research. Ns
provides substantial support for simulation of TCP, routing, and
multicast protocols over wired and wireless (local and satellite)
networks.

%description -l pl
Ns jest symulatorem dyskretnych zdarze kierowanym w stron bada
sieci. Dobrze wspiera symulacj protokow TCP, routingu oraz
multicastowych w przewodowych i bezprzewodowych (lokalnych i
satelitarnych) sieciach.

%package cmu-scen
Summary:	CBR connections generator for NS
Summary(pl):	Generator pocze CBR dla NS
Group:		Applications/Networking
Requires:	%{name} = %{version}-%{release}

%description cmu-scen
CBR connections generator for NS.

%description cmu-scen -l pl
Generator pocze CBR dla NS.

%package empweb
Summary:	Empirical FTP/Web traffic model for NS
Summary(pl):	Empiryczny model ruchowy FTP/Web dla NS
Group:		Applications/Networking
Requires:	%{name} = %{version}-%{release}

%description empweb
Empirical FTP/Web traffic model that simulates FTP/Web traffic based
on a set of CDF (Cumulative Distribution Function) data derived from
live tcpdump trace.

%description empweb -l pl
Empiryczny model ruchowy FTP/Web, ktry symuluje ruch FTP/Web na
podstawie danych CDF (dystrybuanty) wycignitych z prawdziwego
ledzenia tcpdump.

%package emulate
Summary:	TCP emulation for NS
Summary(pl):	Emulacja TCP dla NS
Group:		Applications/Networking
Requires:	%{name} = %{version}-%{release}

%description emulate
TCP emulation for NS.

%description emulate -l pl
Emulacja TCP dla NS.

%package tcl
Summary:	Tcl files for NS
Summary(pl):	Pliki Tcl dla NS
Group:		Applications/Networking
Requires:	%{name} = %{version}-%{release}

%description tcl
Tcl files for NS.

%description tcl -l pl
Pliki Tcl dla NS.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
cp -f /usr/share/automake/config.sub .
%{__autoconf}
%configure \
	--with-tcl-ver=8.4 \
	--with-tk-ver=8.4
%{__make} \
	CCOPT="%{rpmcflags}" \
	CXXFLAGS="%{rpmcflags}"

%{__perl} -pe 's|/usr/local/bin/|/usr/bin/|' -i tcl/ex/tcp-fs/{process.awk,run.tcl}
%{__perl} -pe 's|/usr/sww/bin/|/usr/bin/|' -i tcl/ex/tcp-fs/run-fs-asym.tcl

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_mandir}/man1,%{_datadir}/ns/{,emulate,cmu-scen-gen}}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	MANDEST=%{_mandir}

cp -f empweb/scripts/* $RPM_BUILD_ROOT%{_bindir}
cp -f emulate/*.tcl $RPM_BUILD_ROOT%{_datadir}/ns/emulate
cp -f indep-utils/cmu-scen-gen/*.tcl $RPM_BUILD_ROOT%{_datadir}/ns/cmu-scen-gen
cp -fr tcl $RPM_BUILD_ROOT%{_datadir}/ns

install %{SOURCE1} .
cp -f diffusion3/CHANGES CHANGES-diffusion3
cp -f diffusion3/COPYRIGHT COPYRIGHT-diffusion3
cp -f diffusion3/README README-diffusion3
cp -f diffusion3/README.NS README.NS-diffusion3
cp -f indep-utils/webtrace-conv/README README-webtrace-conv
cp -f mpls/README README-mpls
cp -f src_rtg/README.txt README-src_rtg
rm -f ns-tutorial/Makefile

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGES* TODO.html COPYRIGHT* README* ns-tutorial ns_doc.pdf
%exclude %{_bindir}/*.awk
%exclude %{_bindir}/*.tcl
%attr(755,root,root) %{_bindir}/*
%dir %{_datadir}/ns
%{_mandir}/man1/*

%files cmu-scen
%defattr(644,root,root,755)
%doc indep-utils/cmu-scen-gen/README
%{_datadir}/ns/cmu-scen-gen

%files empweb
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/*.awk
%attr(755,root,root) %{_bindir}/*.tcl

%files emulate
%defattr(644,root,root,755)
%doc emulate/README.notes
%{_datadir}/ns/emulate

%files tcl
%defattr(644,root,root,755)
%{_datadir}/ns/tcl

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: ns.spec,v $
Revision 1.19  2005/10/14 20:43:42  arekm
- rel 7

Revision 1.18  2005/10/09 11:02:36  arekm
- awk fixes

Revision 1.17  2005/10/08 12:13:57  darekr
- specify "rel ++"

Revision 1.16  2005/10/08 09:09:58  arekm
- rel ++ [rel. 5]

Revision 1.15  2005/05/11 19:48:45  darekr
- BR: perl-base

Revision 1.14  2005/01/04 22:47:49  paszczus
- added rsvp3.patch (changes made by czucz@PLDHelp); release 4

Revision 1.13  2004/10/25 10:44:37  paladine
- "Tcl" and "Tk" unifications (and few others)

Revision 1.12  2004/08/19 07:54:44  qboosh
- strict internal deps, BR: automake

Revision 1.11  2004/08/18 20:49:11  havner
- rel 3

Revision 1.10  2004/08/18 20:15:14  havner
- tcl-lib.patch

Revision 1.9  2004/08/18 19:58:30  havner
- config.sub

Revision 1.8  2004/08/18 00:20:35  havner
- rel 2

Revision 1.7  2004/08/13 16:55:52  undefine
- typo

Revision 1.6  2004/01/19 18:46:16  qboosh
- spec expects tcl/tk 8.4.x - so buildrequire >= 8.4

Revision 1.5  2004/01/19 00:41:18  gotar
- upgraded to 2.27

Revision 1.4  2003/11/04 12:55:47  gotar
- fixed %files

Revision 1.3  2003/10/31 17:19:06  qboosh
- missing defattr

Revision 1.2  2003/10/31 16:27:04  gotar
- one more script fixup

Revision 1.1  2003/10/31 16:24:13  gotar
- initial PLD release
